Skip to main content
`Ctrl`+`K`

# SVDTRLanczosGetKSP

Retrieve the linear solver object (`KSP`) associated with the `SVDTRLANCZOS` solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetKSP(SVD svd,KSP *ksp)

Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- ksp - the linear solver object

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosSetKSP()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Examples

src/svd/tutorials/ex51.c

## Implementations

SVDTRLanczosGetKSP_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages